Bug 1256520 - Better logging if supported NameID not authenticated
Summary: Better logging if supported NameID not authenticated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipsilon
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Namita Soman
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-08-24 19:57 UTC by Nathan Kinder
Modified: 2015-11-19 10:51 UTC (History)
3 users (show)

Fixed In Version: ipsilon-1.0.0-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 10:51:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2015:2319 0 normal SHIPPED_LIVE new packages: ipsilon 2015-11-19 10:06:13 UTC

Description Nathan Kinder 2015-08-24 19:57:17 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/ipsilon/ticket/157

Configure an SP for the Kerberos NameID and configure the IdP to support GSSAPI and form (--ipa yes --form yes for example) and ensure that Kerberos is allowed for the SP.

Now log in without a Kerberos ticket. The GSSAPI auth will fail and fall back to form.

You'll always be denied access.

The only server-side logging is a DEBUG level message:

Unavailable Name ID type [urn:oasis:names:tc:SAML:2.0:status:AuthnFailed]

Which isn't all that useful.

It should say something that the proper NameID was not satisfied, regardless of proper authentication.

Comment 2 Rob Crittenden 2015-08-25 18:44:25 UTC
Fixed upstream

master: ea3a3c63719961c66b7b45cd7cfee51cf4bd5f6d

Comment 5 Scott Poore 2015-09-02 23:37:46 UTC
Verified.

Version ::

Results ::

FIRST ON IDP:

[root@idp httpd]# vim /etc/ipsilon/idp/ipsilon.conf 
# set these:
# debug = True
# tools.log_request_response.on = True
# ...
# db.conn.log = True
# log.screen = True

[root@idp httpd]# systemctl restart httpd

THEN ON SP:

[root@client1 httpd]# ipsilon-client-install --saml-auth /secure --saml-idp-url https://idp.testrelm.test/idp/ --saml-sp-name $(hostname -s) --saml-nameid kerberos
Generating a 2048 bit RSA private key
........................................+++
........+++
writing new private key to '/etc/httpd/saml2/client1.testrelm.test/certificate.key'
-----
admin password: 
[root@client1 httpd]# systemctl restart httpd

[root@client1 httpd]# vim /etc/httpd/conf.d/ipsilon-saml.conf 
# added MellonSamlResponseDump on

[root@client1 httpd]# systemctl restart httpd


Accessed https://client1.testrelm.test/secure from web browser and was presented login form.  Entered testuser1 info and got this:

"Unauthorized

This server could not verify that you are authorized to access the document requested. Either you supplied the wrong credentials (e.g., bad password), or your browser doesn't understand how to supply the credentials required."


Then on IDP, check /var/log/httpd/error_log:

error_log:[Wed Sep 02 18:20:55.102605 2015] [:error] [pid 2722] [02/Sep/2015:18:20:55]  ERROR: Authentication succeeded but it was not provided by NameID urn:oasis:names:tc:SAML:2.0:nameid-format:kerberos

Comment 6 errata-xmlrpc 2015-11-19 10:51:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2015-2319.html


Note You need to log in before you can comment on or make changes to this bug.